%define upstream_name    CACertOrg-CA
%define upstream_version 20210114.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CACert.org's CA root certificate in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CACertOrg/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
CACertOrg::CA provides a copy of Certificate Authority certificate for
CACert.org. This is the Class 1 PKI Key.

sha1 13:5C:EC:36:F4:9C:B8:E9:3B:1A:B2:70:CD:80:88:46:76:CE:8F:33

md5 A6:1B:37:5E:39:0D:9C:36:54:EE:BD:20:31:46:1F:6B

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 20210114.1.0-2.mga9
+ Revision: 1814101
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 20210114.1.0-1.mga9
+ Revision: 1691659
- update to 20210114.001

* Wed Feb 12 2020 umeabot <umeabot> 20110724.4.0-7.mga8
+ Revision: 1492983
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 20110724.4.0-6.mga7
+ Revision: 1265870
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 20110724.4.0-5.mga6
+ Revision: 1022818
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 20110724.4.0-4.mga6
+ Revision: 930695
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20110724.4.0-3.mga5
+ Revision: 749615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20110724.4.0-2.mga5
+ Revision: 683618
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 20110724.4.0-1.mga5
+ Revision: 588229
- update to 20110724.004

* Fri Oct 18 2013 umeabot <umeabot> 20110724.1.0-3.mga4
+ Revision: 509390
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20110724.1.0-2.mga3
+ Revision: 363420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 20110724.1.0-1.mga2
+ Revision: 191462
- imported package perl-CACertOrg-CA


* Thu Jan 05 2012 cpan2dist 20110724.001-1mga
- initial mageia release, generated with cpan2dist
